Skip to content

Modify roles

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.

Modify the role through the old and new role codes in the permission group (permission space), and you can select the role name, role description, etc.

Method name

ManagementClient.updateRole

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
namestringYes-Permission group (permission space) role namename
newCodestringYes-Unique identification code of the role in the new permission group (permission space)code2
codestringYes-Unique identifier of the role in the permission group (permission space)code1
namespacestringNodefaultThe code of the permission group (permission space) to which it belongs. If it is not passed, the default permission group is obtained.default
descriptionstringNo-Role descriptionthis is description
statusstringNo-Role status, ENABLE- means normal, DISABLE- means disabledenable
disableTimestringNo-Role automatic disable time, in milliseconds, if null is passed, it will be permanently valid1669881887852

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.updateRole({
    code: "code1",
    newCode: "code2",
    namespace: "default",
    description: "this is description",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data structure

IsSuccessDto

NameTypeIs it requiredDescriptionSample value
successbooleanyesWhether the operation is successfultrue

Agent infrastructure for identity, memory, and web action.